For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create

Cria um novo método de pagamento.

Criar Método de Pagamento

POST https://api.cloudinvoice.net/payment_methods/new/

Request Body

Name
Type
Description

code

integer

Código

description*

string

Descrição

payment_mechanism_id*

integer

Mecanismo de Pagamento Consulte a tabela Apêndice para saber mais.

where_to_use_id*

integer

Onde usar Consulte a tabela Apêndice para saber mais.

min_limit

float Default: 0

Limite Mínimo

⚠️ Valor zero é considerado como 'Não definido'.

max_limit

float Default: 0

Limite Máximo

⚠️ Valor zero é considerado como 'Não definido'.

is_customer_mandatory

boolean

Requer NIF Válido

Disponível apenas para Clientes com Nome e NIF válido.

is_check_mandatory

boolean

Cheque Obrigatório

does_add_to_till

boolean

Adiciona à Caixa

can_use_cash_change

boolean

Pode gerar Troco

does_open_drawer

boolean

Abre Gaveta

curl -X POST https://api.cloudinvoice.net/payment_methods/new/
    -d '{
        "description": "Pagamento API",
        "payment_mechanism_id": 61,
        "where_to_use_id": 56
    }'
{
    "id": 8,
    "code": 8,
    "fintech_code": null,
    "description": "Pagamento API",
    "payment_mechanism_id": 61,
    "payment_mechanism": {
        "code": "NU",
        "description": "Numerário"
    },
    "where_to_use_id": 56,
    "where_to_use": {
        "code": "1",
        "description": "Recebimentos"
    },
    "min_limit": 0.0,
    "max_limit": 0.0,
    "does_add_to_till": false,
    "is_customer_mandatory": false,
    "is_check_mandatory": false,
    "can_use_cash_change": false,
    "does_open_drawer": false,
    "obs": ""
}

Para ver exemplos de pedidos nas várias linguagens, consulte a página Exemplos de Pedidos.

Last updated